Game Develop Core: gd::EditLayerDialog Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Protected Attributes | Static Protected Attributes | List of all members
gd::EditLayerDialog Class Reference
IDE Dialogs ( Pre-made dialogs to be used to implement a development environment )

Dialog used to edit a layer. More...

`#include <EditLayerDialog.h>`

Inheritance diagram for gd::EditLayerDialog:
[legend]

## Public Member Functions

| EditLayerDialog (wxWindow *parent, Layer &layer_)

## Protected Attributes

wxStaticText * | StaticText9
wxStaticBitmap * | StaticBitmap2
wxTextCtrl * | viewportX2Edit
wxStaticText * | StaticText2
wxCheckBox * | sizeCheck
wxStaticText * | StaticText6
wxCheckBox * | visibilityCheck
wxStaticText * | StaticText8
wxStaticText * | StaticText1
wxStaticText * | StaticText3
wxButton * | cancelBt
wxTextCtrl * | nameEdit
wxTextCtrl * | viewportY1Edit
wxStaticText * | StaticText7
wxTextCtrl * | cameraWidthEdit
wxStaticLine * | StaticLine1
wxTextCtrl * | viewportX1Edit
wxButton * | deleteCameraBt
wxHyperlinkCtrl * | helpBt
wxButton * | addCameraBt
wxChoice * | cameraChoice
wxStaticText * | StaticText4
wxCheckBox * | viewportCheck
wxButton * | okBt
wxTextCtrl * | viewportY2Edit
wxTextCtrl * | cameraHeightEdit

## Static Protected Attributes

static const long | ID_STATICTEXT1 = wxNewId()
static const long | ID_TEXTCTRL1 = wxNewId()
static const long | ID_CHECKBOX1 = wxNewId()
static const long | ID_STATICTEXT2 = wxNewId()
static const long | ID_CHOICE1 = wxNewId()
static const long | ID_BUTTON5 = wxNewId()
static const long | ID_BUTTON3 = wxNewId()
static const long | ID_CHECKBOX2 = wxNewId()
static const long | ID_TEXTCTRL2 = wxNewId()
static const long | ID_STATICTEXT4 = wxNewId()
static const long | ID_TEXTCTRL3 = wxNewId()
static const long | ID_CHECKBOX3 = wxNewId()
static const long | ID_STATICTEXT7 = wxNewId()
static const long | ID_TEXTCTRL4 = wxNewId()
static const long | ID_STATICTEXT6 = wxNewId()
static const long | ID_TEXTCTRL5 = wxNewId()
static const long | ID_STATICTEXT8 = wxNewId()
static const long | ID_TEXTCTRL6 = wxNewId()
static const long | ID_STATICTEXT9 = wxNewId()
static const long | ID_TEXTCTRL7 = wxNewId()
static const long | ID_STATICTEXT3 = wxNewId()
static const long | ID_STATICLINE1 = wxNewId()
static const long | ID_STATICBITMAP2 = wxNewId()
static const long | ID_HYPERLINKCTRL1 = wxNewId()
static const long | ID_BUTTON2 = wxNewId()
static const long | ID_BUTTON1 = wxNewId()

## Detailed Description

Dialog used to edit a layer.

Todo:
  Use a property grid to edit layers

## Constructor & Destructor Documentation

gd::EditLayerDialog::EditLayerDialog | ( | wxWindow * | parent,
|  | Layer & | layer_
| ) |  |

Default constructor

Parameters

  parent | The wxWidgets parent window
  layer | The layer to edit

The documentation for this class was generated from the following files:

- EditLayerDialog.h
- EditLayerDialog.cpp